Skip to content

List Patients

GET
/api/patients
curl --request GET \
--url 'https://example.com/api/patients?q='
q
Q
string
""

Successful Response

Media typeapplication/json
Response List Patients Api Patients Get
Array<object>
Patient
object
id
required
Id
string
sex
required
Sex
string
Allowed values: male female other unknown
birth_year
required
Any of:
integer
age_band
Any of:
string
diagnoses
required
Diagnoses
Array<object>
Diagnosis
object
code
required
Code
string
display
required
Display
string
index_date
required
Any of:
string format: date

Example

[
{
"sex": "male"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}